import React, { Component } from "react";
import ReactDOM from "react-dom";
import Input from "../form/Input/Input";
class FormContainer extends Component {
    constructor() {
        super();
        this.state = {
            first_name: "",
            email__: ""
        };
        this.handleChange = this.handleChange.bind(this);
    }
    handleChange(event) {
        this.setState({ [event.target.id]: event.target.value });
    }
    render() {
        const { first_name } = this.state;
        const { email__ } = this.state;
        return (
            <div className='flex mb-4'>
                <form id="article-form" className='flex flex-wrap w-full'>
                    <Input
                        text="First Name"
                        label="first_name"
                        type="text"
                        id="first_name"
                        value={first_name}
                        handleChange={this.handleChange}
                    />
                    <Input
                        text="Email"
                        label="seo_title"
                        type="email"
                        id="email__"
                        value={email__}
                        handleChange={this.handleChange}
                        placeholder="email@example.com"
                    />
                </form>
            </div>
        );
    }
}
export default FormContainer;

const wrapper = document.getElementById("create-article-form");
wrapper ? ReactDOM.render(<FormContainer />, wrapper) : false;