import React from "react";
import PropTypes from "prop-types";
import "./style.scss"
const Input = ({ label, text, type, id, value, handleChange, placeholder = null }) => (
    <div className="w-full md:w-1/2 p-5 ">
        <label className='w-full text-grey' htmlFor={label}>{text}</label>
        <input

            type={type}
            className="border-grey-light border w-full pt-2 pr-5 pl-5 pb-2 mt-3 shadow-lg rounded-full focus:outline-none focus:shadow w-full"
            id={id}
            value={value}
            onChange={handleChange}
            placeholder={placeholder}
            required
        />
    </div>
);
Input.propTypes = {
    label: PropTypes.string.isRequired,
    text: PropTypes.string.isRequired,
    type: PropTypes.string.isRequired,
    id: PropTypes.string.isRequired,
    value: PropTypes.string.isRequired,
    handleChange: PropTypes.func.isRequired
};
export default Input;